@ECHO OFF
CLS
:WindowConfig
set title=Pokemon All-In-One Patcher v1
:: =%~nx0
TITLE %title%
MODE con:cols=80 lines=25
COLOR 17
:: Background/Foreground
:: 0 = Black    8 = Gray
:: 1 = Blue     9 = Light Blue
:: 2 = Green    A = Light Green
:: 3 = Aqua     B = Light Aqua
:: 4 = Red      C = Light Red
:: 5 = Purple   D = Light Purple
:: 6 = Yellow   E = Light Yellow
:: 7 = White    F = Bright White
:ProgramConfig
set patchver=v7
set option=0
set names=0
set logo=0
set exityn=N
if "%~1"=="" goto NoFile

:MainSplash
echo.
echo.
echo.
echo.
echo.
echo             +------------------------------------------------------+
echo             ! Alternate Patcher Created By:                        !
echo             !                                                      !
echo             !       _____                       __                 !
echo             !      / ___/____  ___  ____  _____/ /_____ ______     !
echo             !      \__ \/ __ \/ _ \/ __ \/ ___/ __/ __ `/ ___/     !
echo             !     ___/ / /_/ /  __/ / / (__  ) /_/ /_/ / /         !
echo             !    /____/ .___/\___/_/ /_/____/\__/\__,_/_/          !
echo             !        /_/                                           !
echo             !                                  "Leave it to me."   !
echo             +------------------------------------------------------+
echo             v1
echo.
echo.
echo.
echo.
echo.
echo.
pause

:MainMenu
cls
echo.
echo                    Pokemon Black and White Alternate Patcher
echo                            Currently on English %patchver%
echo.
echo.
echo What would you like to do?
echo.
echo    1 - Patch Pokemon Black
echo    2 - Patch Pokemon White
echo    3 - Help
echo    4 - Credits
echo    5 - About
echo    6 - Quit
echo.
set /p option="> "
if %option%==1 goto Black
if %option%==2 goto White
if %option%==3 goto Help
if %option%==4 goto Credits
if %option%==5 goto About
if %option%==6 goto Quit
if %option%==0 goto MainMenu
goto MainMenu
:Black
set bwver=b
set bwfull=Black
goto APpatcher
:White
set bwver=w
set bwfull=White
goto APpatcher

:APpatcher
cls
echo.                                     Patching
echo.
echo.
echo Applying AP Fix... 
"%~dp0\AP Patch\p%bwver%ap.exe" %1

:NameType
cls
echo.                                     Patching
echo.
echo.
echo Applying AP Fix... Done!
echo.
echo    1 - Patch Pokemon %bwfull% With English Names
echo    2 - Patch Pokemon %bwfull% With Kata Names
echo.
set /p names="> "
if %names%==1 goto English
if %names%==2 goto Kata
if %names%==0 goto NameType
:English
set namesver=e
set namesfull=English
goto LogoType
:Kata
set namesver=k
set namesfull=Kata
goto LogoType

:LogoType
cls
echo Patch Pokemon %bwfull% %namesfull% Names with:
echo.
echo    1 - New Logo
echo    2 - Old Logo
echo.
set /p logo="> "
if %logo%==1 goto NewLogo
if %logo%==2 goto OldLogo
if %logo%==0 goto LogoType
:NewLogo
set logover=nl
set logofull=NewLogo
goto PatchROM
:OldLogo
set logover=ol
set logofull=OldLogo
goto PatchROM

:PatchROM
cls
echo.                                     Patching
echo.
echo.
echo Applying %patchver% Pokemon %bwfull% %namesfull%_%logofull%...
echo.
set patchfile=%patchver%%bwver%%namesver%%logover%.patch
"%~dp0\patches\xdelta3.exe" patch "%~dp0patches\%patchfile%" %1 "%~dp0Pokemon%bwfull%_%namesfull%_%logofull%.nds"
ren %1 Pokemon%bwfull%_EXP_Fixed.nds
cls
echo                                    Finished!
echo.
echo.
echo       The patched file has been created in the same folder as the original.
echo.
echo      If the patched game does not work, make sure that you used this with an
echo      original, unpatched, untrimmed ROM.
echo.
echo.
pause
:Exit
cls
echo.
echo           The patching process is done and you are now ready to play!
echo.
echo.
echo     Keep in touch with my thread on GBAtemp to be up to date with the latest
echo     version of the English Translation Patch!
echo.
echo.
echo                                     Have Fun!
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo Are you sure you want to Exit? Y/N
echo.
set /p exityn="> "
if %exityn%==Y goto Quit
if %exityn%==N goto MainMenu
if %exityn%==y goto Quit
if %exityn%==n goto MainMenu
goto Exit

:Help
cls
echo          The patching process won't work if you don't select anything!
echo.
echo To patch Pokemon Black/White, make sure you have an (unpatched, untrimmed)
echo ROM in the same folder as this program.
echo.
echo Once the patching process is complete, there will be a nds file created in
echo the same folder as the original with an added phrase at the end corresponding
echo with what you chose to patch the game with in this program.
echo.
echo If you find any bugs or problems with this program, please let me know on
echo GBAtemp!
echo.
echo.
pause
goto MainMenu

:Credits
cls
echo.
echo.
echo      -----------------------------Credits---------------------------------
echo.
echo      Project Manager: Kaarosu
echo      Script Editing: NSSVelocity
echo      Quality Control: Rykin122, NSSVelocity, Zenshi, Kaarosu
echo      Story Translation: ruinairas, Rykin122, Soneek, NSS, others
echo      Story Grammar: Zenshi, Shadow-witch, Soneek, others
echo.
echo      Alternate Patcher: Spenstar
echo      EXP AP Fix: Rudolph
echo.
echo      ---------------------------------------------------------------------
echo.
echo.
pause
cls
goto MainMenu

:About
cls
echo                Alternate Patcher version 1 created by Spenstar.
echo.
echo         Tested by my friends and I to make sure there were no problems.
echo.
echo.
pause
cls
goto MainMenu

:Quit
cls
echo.
echo                       Hope this Alternate Patcher helped!
echo.
echo                 Check back on my thread for the latest updates!
echo.
echo             +------------------------------------------------------+
echo             ! Alternate Patcher Created By:                        !
echo             !                                                      !
echo             !       _____                       __                 !
echo             !      / ___/____  ___  ____  _____/ /_____ ______     !
echo             !      \__ \/ __ \/ _ \/ __ \/ ___/ __/ __ `/ ___/     !
echo             !     ___/ / /_/ /  __/ / / (__  ) /_/ /_/ / /         !
echo             !    /____/ .___/\___/_/ /_/____/\__/\__,_/_/          !
echo             !        /_/                                           !
echo             !                                  "Leave it to me."   !
echo             +------------------------------------------------------+
echo             v1
echo.
echo.
echo.
echo.
echo.
echo.
pause
exit

:NoFile
echo.
echo           You must drag and drop the Pokemon ROM onto this app to run.
echo.
echo.
pause
